import { useCallback, useRef } from "react";
const useTimer = (callback, delay, deps) => {
    const timerRef = useRef(0);
    const stop = useCallback(() => clearInterval(timerRef.current), []);
    const start = useCallback((...args) => {
        stop();
        timerRef.current = setInterval(callback, delay, ...args);
    }, 
    // eslint-disable-next-line
    [delay, ...deps]);
    return [start, stop];
};
export default useTimer;
